Subject: [Teas] FW: New Version Notification for draft-lee-teas-actn-pm-telemetry-autonomics-12.txt

From: Leeyoung <[email-masked]>
Date: Tue, 2 Apr 2019 21:56:19 +0000

Hi Lou and Pavan,

Following up the discussion from IETF 104 TEAS WG meeting, please find the updated version of draft-lee-teas-actn-pm-telemetry-autonomics-12. (See the attachment diff file).

To recap:

- The draft is "generalized" to be applicable in generic settings. (See Abstract/Introduction)
- Changes of modules: from ietf-actn-te-kpi-telemetry model to ietf-vn-kpi-telemetry model. 
- Section 4 has been added (v.11) to explain what scaling in/out mechanism is with illustration and a partial YANG tree. 

We believe all pending issues/comments have been incorporated in v12 and as such the draft is a good basis for WG adoption. Please let me know if you have any further comments. 

Thanks.
Young (on behalf of other co-authors and contributors)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, April 2, 2019 4:43 PM
To: Daniele Ceccarelli <[email-masked]>; Satish Karunanithi <[email-masked]>; Leeyoung <[email-masked]>; Dhruv Dhody <[email-masked]>; Daniel King <[email-masked]>; Ricard Vilata <[email-masked]>; Ricard Vilalta <[email-masked]>
Subject: New Version Notification for draft-lee-teas-actn-pm-telemetry-autonomics-12.txt

A new version of I-D, draft-lee-teas-actn-pm-telemetry-autonomics-12.txt
has been successfully submitted by Young Lee and posted to the IETF repository.

Name:		draft-lee-teas-actn-pm-telemetry-autonomics
Revision:	12
Title:		YANG models for VN & TE Performance Monitoring Telemetry and Scaling Intent Autonomics
Document date:	2019-04-02
Group:		Individual Submission
Pages:		25
URL:            https://www.ietf.org/internet-drafts/draft-lee-teas-actn-pm-telemetry-autonomics-12.txt
Status:         https://datatracker.ietf.org/doc/draft-lee-teas-actn-pm-telemetry-autonomics/
Htmlized:       https://tools.ietf.org/html/draft-lee-teas-actn-pm-telemetry-autonomics-12
Htmlized:       https://datatracker.ietf.org/doc/html/draft-lee-teas-actn-pm-telemetry-autonomics
Diff:           https://www.ietf.org/rfcdiff?url2=draft-lee-teas-actn-pm-telemetry-autonomics-12

Abstract:
   This document provides YANG data models that describe performance
   monitoring telemetry and scaling intent mechanism for TE-tunnels and
   Virtual Networks (VN).

   The models presented in this draft allow customers to subscribe and
   monitor their key performance data of their interest on the level of
   TE-tunnel or VN. The models also provide customers with the ability
   to program autonomic scaling intent mechanism on the level of TE-
   tunnel as well as VN.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: tom petch <[email-masked]>
Date: Fri, 5 Apr 2019 16:50:40 +0000

----- Original Message -----
From: "Leeyoung" <[email-masked]>
Sent: Tuesday, April 02, 2019 10:56 PM

> Hi Lou and Pavan,
>
> Following up the discussion from IETF 104 TEAS WG meeting, please find
the updated version of draft-lee-teas-actn-pm-telemetry-autonomics-12.
(See the attachment diff file).
> - Section 4 has been added (v.11) to explain what scaling in/out
mechanism is with illustration and a partial YANG tree.
>
> We believe all pending issues/comments have been incorporated in v12
and as such the draft is a good basis for WG adoption. Please let me
know if you have any further comments.

Lee

I am confused.  I am looking at
  draft-lee-teas-actn-pm-telemetry-autonomics-12

In IANA Considerations you have
    URI: urn:ietf:params:xml:ns:yang:ietf-kpi-telemetry
when the namespace is
   "urn:ietf:params:xml:ns:yang:ietf-vn-kpi-telemetry";
and the prefix, which must be specified, is missing

In the list of prefix I see

      | te-kpi  | ietf-te-kpi-telemetry        | [This I-D]      |
      | vn-tel  | ietf-vn-kpi-telemetry        | [This I-D]      |

7.1 has
  namespace "urn:ietf:params:xml:ns:yang:ietf-te-kpi-telemetry";
 prefix te-tel;

7.2 has
  namespace "urn:ietf:params:xml:ns:yang:ietf-vn-kpi-telemetry";
  prefix actn-tel;

[perm any of 'actn' 'vn' 'te' 'kpi' 'tel' at random!]

 I do wonder about the choice of prefix. It seems to me that it is about
KPI for VN and TE in which case, kpi-th- and kpi-vn seem clearer.  I
have yet to see the minutes of the meeting so am not familiar with the
discussion

Also,

There are a lot of lines that are too long for an RFC

The YANG Modules lack version statement

The YANG modules lack Copyright statement

The YANG module lack reference statements

The import statements lack reference clause

There is no reference back from the YANG module to the I-D/RFC to tell
users where it came from where to find out more.

Several of the Informative References look Normative e.g.
RFC6020 RFC7950 RFC8341RFC8309 RFC8233 RFC7926etc etc

The Security Considerations are out of date lacking RESTCONF, TLS, HTTPS

I suggest expanding VN in the Introduction; you do it in the Abstract
and that is good but I, and some like me, skip straight to the
Introduction.

Further on, I think that you need to expand SLA, BER - not sure about
CAPEX/OPEX

Tom Petch

p.s. if in doubt, blame your fellow authors:-)

> To: Daniele Ceccarelli <[email-masked]>; Satish
Karunanithi <[email-masked]>; Leeyoung
<[email-masked]>; Dhruv Dhody <[email-masked]>; Daniel King
<[email-masked]>; Ricard Vilata <[email-masked]>; Ricard
Vilalta <[email-masked]>
> Subject: New Version Notification for
draft-lee-teas-actn-pm-telemetry-autonomics-12.txt
> A new version of I-D,
draft-lee-teas-actn-pm-telemetry-autonomics-12.txt
> URL:
https://www.ietf.org/internet-drafts/draft-lee-teas-actn-pm-telemetry-au
tonomics-12.txt
> Status:
https://datatracker.ietf.org/doc/draft-lee-teas-actn-pm-telemetry-autono
mics/
> Htmlized:
https://tools.ietf.org/html/draft-lee-teas-actn-pm-telemetry-autonomics-
12
> Htmlized:
https://datatracker.ietf.org/doc/html/draft-lee-teas-actn-pm-telemetry-a
utonomics
> Diff:
https://www.ietf.org/rfcdiff?url2=draft-lee-teas-actn-pm-telemetry-auton
omics-12
> Please note that it may take a couple of minutes from the time of
submission until the htmlized version and diff are available at
tools.ietf.org.
> The IETF Secretariat

------------------------------------------------------------------------
--------

> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas
>

---

From: Leeyoung <[email-masked]>
Date: Tue, 9 Apr 2019 17:21:21 +0000

Hi Tom,

Thanks for your interest in this draft and a good review for it. I really appreciate that. I think most of your comments are valid; please see inline for my response.

Please see the diff file:  https://www6.ietf.org/rfcdiff/?url2=draft-lee-teas-actn-pm-telemetry-autonomics-13  and let us know if there are still missing items.

Thanks & Best regards,

Young

-----Original Message-----

From: tom petch [mailto:[email-masked]]

Sent: Friday, April 5, 2019 11:51 AM

To: Leeyoung <[email-masked]>; TEAS WG Chairs <[email-masked]>

Cc: TEAS WG <[email-masked]>

Subject: Re: [Teas] FW: New Version Notification for draft-lee-teas-actn-pm-telemetry-autonomics-12.txt

----- Original Message -----

> - The draft is "generalized" to be applicable in generic settings.

(See Abstract/Introduction)

> - Changes of modules: from ietf-actn-te-kpi-telemetry model to

ietf-vn-kpi-telemetry model.

> We believe all pending issues/comments have been incorporated in v12

and as such the draft is a good basis for WG adoption. Please let me know if you have any further comments.

Lee

when the namespace is

YL>> Thanks for the catch. I Corrected:

OLD: URI: urn:ietf:params:xml:ns:yang:ietf-kpi-telemetry

NEW: URI: urn:ietf:params:xml:ns:yang:ietf-vn-kpi-telemetry

7.1 has

prefix te-tel;

7.2 has

  prefix actn-tel;

YL>> actn -> vn; ‘te’ is te-tunnel so it is clear; kpi is key performance index, so it is clear. I would change actn-tel to vn-tel to be consistent with te-tel.

I do wonder about the choice of prefix. It seems to me that it is about KPI for VN and TE in which case, kpi-th- and kpi-vn seem clearer.  I have yet to see the minutes of the meeting so am not familiar with the discussion

YL>> I think te and vn are the base model to which these kpi modules are extended; thus, I think we would stick to  ietf-te-kpi-telemetry and ietf-vn-kpi-telemetry.

Also,

YL>> Added version 1.1

YL>> added.

YL>> There is no real external reference in this module.

YL>> Added.

There is no reference back from the YANG module to the I-D/RFC to tell users where it came from where to find out more.

YL>> Since there is no real reference in the YANG module, there is no case for this.

YL>> Agreed and moved these to Normative except 8233 as it is already in the Normative.

YL>> Added. Please see the section.

I suggest expanding VN in the Introduction; you do it in the Abstract and that is good but I, and some like me, skip straight to the Introduction.

YL>> Done.

Further on, I think that you need to expand SLA, BER - not sure about CAPEX/OPEX

YL>> Will do that in the next revision.

Tom Petch

> To: Daniele Ceccarelli <[email-masked]>; Satish

Karunanithi <[email-masked]>; Leeyoung <[email-masked]>; Dhruv Dhody <[email-masked]>; Daniel King <[email-masked]>; Ricard Vilata <[email-masked]>; Ricard Vilalta <[email-masked]>

> has been successfully submitted by Young Lee and posted to the IETF

repository.

> Title: YANG models for VN & TE Performance Monitoring Telemetry and

Scaling Intent Autonomics

tonomics-12.txt

mics/

12

utonomics

omics-12

>    monitoring telemetry and scaling intent mechanism for TE-tunnels

and

>    monitor their key performance data of their interest on the level

of

> Please note that it may take a couple of minutes from the time of

submission until the htmlized version and diff are available at tools.ietf.org.

--------

---

From: tom petch <[email-masked]>
Date: Wed, 10 Apr 2019 16:37:18 +0000

Young (!)

I remain confused.  What I see is

s.1.3

YANG Modules

  prefix vn-tel;

IANA Considerations

   URI: urn:ietf:params:xml:ns:yang:ietf-te-kpi-telemetry
   URI: urn:ietf:params:xml:ns:yang:ietf-kpi-telemetry

   namespace:    urn:ietf:params:xml:ns:yang:ietf-te-kpi-telemetry
   namespace:    urn:ietf:params:xml:ns:yang:ietf-vn-kpi-telemetry

Too many prefix, too many URI.

And IANA Considerations - which is authoritative so I tend to look at
first - must specify prefix but it does not

Tom Petch

----- Original Message -----
From: "Leeyoung" <[email-masked]>
To: "tom petch" <[email-masked]>; "TEAS WG Chairs"
<[email-masked]>
Cc: "TEAS WG" <[email-masked]>
Sent: Tuesday, April 09, 2019 6:21 PM

> Hi Tom,
>
>
>
> Thanks for your interest in this draft and a good review for it. I
really appreciate that. I think most of your comments are valid; please
see inline for my response.
>
> Please see the diff file:
https://www6.ietf.org/rfcdiff/?url2=draft-lee-teas-actn-pm-telemetry-aut
onomics-13  and let us know if there are still missing items.
> Subject: Re: [Teas] FW: New Version Notification for
> YL>> actn -> vn; ‘te’ is te-tunnel so it is clear; kpi is key
performance index, so it is clear. I would change actn-tel to vn-tel to
be consistent with te-tel.
>
>
>
> I do wonder about the choice of prefix. It seems to me that it is
about KPI for VN and TE in which case, kpi-th- and kpi-vn seem clearer.
I have yet to see the minutes of the meeting so am not familiar with the
discussion
>
>
>
> YL>> I think te and vn are the base model to which these kpi modules
are extended; thus, I think we would stick to  ietf-te-kpi-telemetry and
ietf-vn-kpi-telemetry.
CAPEX/OPEX
tools.ietf.org.

---

From: Leeyoung <[email-masked]>
Date: Wed, 10 Apr 2019 17:06:29 +0000

Hi Tom,

Thanks. I think there is still some inconsistency as you pointed out. Please see inline. This should be it. I uploaded v.14 that incorporated all your comments. Attached is the new version notification and the below is the pointer for the diff.

https://www6.ietf.org/rfcdiff/?url2=draft-lee-teas-actn-pm-telemetry-autonomics-14

Please let me know if any further fix is needed.

Best regards,

Young

-----Original Message-----

Sent: Wednesday, April 10, 2019 11:37 AM

Young (!)

s.1.3

YL>> te-kpi should be te-tel

YANG Modules

  prefix te-tel;

  prefix vn-tel;

YL>> This is now consistent with s.1.3

IANA Considerations

YL>> ietf-kpi-temetry should be ietf-vn-kpi-telemetry.

And IANA Considerations - which is authoritative so I tend to look at first - must specify prefix but it does not

YL>> Added: prefix: te-tel and prefix:vn-tel

   --------------------------------------------------------------------

   name:         ietf-te-kpi-telemetry

   prefix:       te-tel

   reference:    RFC XXXX (TDB)

   --------------------------------------------------------------------

   --------------------------------------------------------------------

   name:         ietf-vn-kpi-telemetry

   prefix:       vn-tel

   reference:    RFC XXXX (TDB)

   --------------------------------------------------------------------

Tom Petch

----- Original Message -----

<[email-masked]>

> Thanks for your interest in this draft and a good review for it. I

really appreciate that. I think most of your comments are valid; please see inline for my response.

> To: Leeyoung <[email-masked]>; TEAS WG Chairs

<[email-masked]>

> > Following up the discussion from IETF 104 TEAS WG meeting, please

find

> YL>> actn -> vn; ‘te’ is te-tunnel so it is clear; kpi is key

performance index, so it is clear. I would change actn-tel to vn-tel to be consistent with te-tel.

I have yet to see the minutes of the meeting so am not familiar with the discussion

> YL>> I think te and vn are the base model to which these kpi modules

are extended; thus, I think we would stick to  ietf-te-kpi-telemetry and ietf-vn-kpi-telemetry.

> YL>> Since there is no real reference in the YANG module, there is no

case for this.

> YL>> Agreed and moved these to Normative except 8233 as it is already

in the Normative.

> The Security Considerations are out of date lacking RESTCONF, TLS,

HTTPS

> I suggest expanding VN in the Introduction; you do it in the Abstract

and that is good but I, and some like me, skip straight to the Introduction.

CAPEX/OPEX

> Karunanithi <[email-masked]>; Leeyoung

<[email-masked]>; Dhruv Dhody <[email-masked]>; Daniel King <[email-masked]>; Ricard Vilata <[email-masked]>; Ricard Vilalta <[email-masked]>

> >    The models presented in this draft allow customers to subscribe

and

> >    TE-tunnel or VN. The models also provide customers with the

ability

tools.ietf.org.

> ----------------------------------------------------------------------

--

--------

Subject: New Version Notification for draft-lee-teas-actn-pm-telemetry-autonomics-14.txt
From: "[email-masked]" <[email-masked]>
To: Daniele Ceccarelli <[email-masked]>, Satish Karunanithi <[email-masked]>, Leeyoung <[email-masked]>, Dhruv Dhody <[email-masked]>, Daniel King <[email-masked]>, Ricard Vilata <[email-masked]>, Ricard Vilalta <[email-masked]>
Date: Wed, 10 Apr 2019 17:01:40 +0000

A new version of I-D, draft-lee-teas-actn-pm-telemetry-autonomics-14.txt
has been successfully submitted by Young Lee and posted to the
IETF repository.

Name:           draft-lee-teas-actn-pm-telemetry-autonomics
Revision:       14
Title:          YANG models for VN & TE Performance Monitoring Telemetry and Scaling Intent Autonomics
Document date:  2019-04-10
Group:          Individual Submission
Pages:          28
URL:            https://www.ietf.org/internet-drafts/draft-lee-teas-actn-pm-telemetry-autonomics-14.txt
Status:         https://datatracker.ietf.org/doc/draft-lee-teas-actn-pm-telemetry-autonomics/
Htmlized:       https://tools.ietf.org/html/draft-lee-teas-actn-pm-telemetry-autonomics-14
Htmlized:       https://datatracker.ietf.org/doc/html/draft-lee-teas-actn-pm-telemetry-autonomics
Diff:           https://www.ietf.org/rfcdiff?url2=draft-lee-teas-actn-pm-telemetry-autonomics-14

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: tom petch <[email-masked]>
Date: Fri, 12 Apr 2019 16:38:02 +0000

Young

I am less confused:-)

The Copyright statements are incomplete; look, for example, at RFC8294
and you lack the final sentence which provides the required link back to
the RFC to be, one of the missing references I referred to earlier.

Recall that the YANG modules will be extracted and widely used with
nothing else to support them, so from 'CODE BEGINS' to 'CODE ENDS' must
be comprehensible standing alone.  Again, look at RFC8294 and you will
see reference clauses in the description, which I think are needed in
each and every YANG module and one per object is not too many.

Thus, within the IETF, IPPM have done much on one-way and two-way delay;
do you mean the same as they do? If not, where do your definitions
thereof come from?  ITU-T (who are also hot on this)?

This makes me note that there are no default values nor guidance as to
what to use; again, references here help, if only to the RFC to be.
Human nature suggests the people will use whatever they can see so that
following s.4 we could see a lot of

Threshold-time: 3600 (sec)
Cooldown-time:  60 (sec)
threshold-value: 300 mile-seconds [milli?]
threshold-value: 300 megabytes

which may, or may not, be suitable values.

Related to this, common practice is to put examples in an Appendix, the
idea being that examples are not Normative and Appendices are not
Normative, whereas the body of the document is, which examples are not.
Examples in the body may be blindly followed.

HTH

Tom Petch

----- Original Message -----
From: "Leeyoung" <[email-masked]>
To: "tom petch" <[email-masked]>; "TEAS WG Chairs"
<[email-masked]>
Cc: "TEAS WG" <[email-masked]>
Sent: Wednesday, April 10, 2019 6:06 PM

> Hi Tom,
>
> Thanks. I think there is still some inconsistency as you pointed out.
Please see inline. This should be it. I uploaded v.14 that incorporated
all your comments. Attached is the new version notification and the
below is the pointer for the diff.
onomics-14
<[email-masked]>
> > the updated version of
draft-lee-teas-actn-pm-telemetry-autonomics-12.
Introduction.
> <[email-masked]>; Dhruv Dhody <[email-masked]>; Daniel
King <[email-masked]>; Ricard Vilata <[email-masked]>;
Ricard Vilalta <[email-masked]>

---

From: Leeyoung <[email-masked]>
Date: Fri, 12 Apr 2019 20:35:23 +0000

Hi Tom,

Getting there hopefully with this iteration...

Thanks for your further comment. I think I addressed all your comments for this round. Please see inline for my comment and the diff file to make it easier for you to review your comment.

https://www6.ietf.org/rfcdiff/?url2=draft-lee-teas-actn-pm-telemetry-autonomics-15 See also the attachment for the details.

Thanks & Have a good weekend.

Young

-----Original Message-----

Sent: Friday, April 12, 2019 11:38 AM

Young

I am less confused:-)

The Copyright statements are incomplete; look, for example, at RFC8294 and you lack the final sentence which provides the required link back to the RFC to be, one of the missing references I referred to earlier.

YL>> Included in both YANG modules with:

This version of this YANG module is part of RFC AAAA; see

     the RFC itself for full legal notices.;

  /* Note: The RFC Editor will replace AAAA with the number

     assigned to the RFC once draft-lee-teas-pm-telemetry-

     autonomics becomes an RFC.*/

Recall that the YANG modules will be extracted and widely used with nothing else to support them, so from 'CODE BEGINS' to 'CODE ENDS' must be comprehensible standing alone.  Again, look at RFC8294 and you will see reference clauses in the description, which I think are needed in each and every YANG module and one per object is not too many.

Thus, within the IETF, IPPM have done much on one-way and two-way delay; do you mean the same as they do? If not, where do your definitions thereof come from?  ITU-T (who are also hot on this)?

YL>> Added the reference for each performance related parameters in the ietf-te-kpi-telemetry module come from.

reference

      "RFC7471<https://tools.ietf.org/html/rfc7471>: OSPF Traffic Engineering (TE) Metric Extensions.

       RFC8570<https://tools.ietf.org/html/rfc8570>: IS-IS Traffic Engineering (TE) Metric Extensions.

       RFC7823<https://tools.ietf.org/html/rfc7823>: Performance-Based Path Selection for Explicitly

       Routed Label Switched Paths (LSPs) Using TE Metric

       Extensions";

This makes me note that there are no default values nor guidance as to what to use; again, references here help, if only to the RFC to be.

Human nature suggests the people will use whatever they can see so that following s.4 we could see a lot of

Cooldown-time:  60 (sec)

Related to this, common practice is to put examples in an Appendix, the idea being that examples are not Normative and Appendices are not Normative, whereas the body of the document is, which examples are not.

YL>> I changed the numeric values to XYZ’s so that people would not get misguided with the illustration. There is not really default value for each of these parameters as they are depending on the use-cases and applications. Keeping the examples in the main body with non-numeric examples, I think, should be fine. Changed mile-seconds to milli-seconds. These parameters are quite generic that they don’t have proper references per se.

HTH

Tom Petch

----- Original Message -----

<[email-masked]>

> Thanks. I think there is still some inconsistency as you pointed out.

Please see inline. This should be it. I uploaded v.14 that incorporated all your comments. Attached is the new version notification and the below is the pointer for the diff.

onomics-14

<[email-masked]>

>    -------------------------------------------------------------------

-

>    -------------------------------------------------------------------

-

>    -------------------------------------------------------------------

-

>    -------------------------------------------------------------------

-

> really appreciate that. I think most of your comments are valid;

please see inline for my response.

> > > We believe all pending issues/comments have been incorporated in

v12

> performance index, so it is clear. I would change actn-tel to vn-tel

to be consistent with te-tel.

> about KPI for VN and TE in which case, kpi-th- and kpi-vn seem

clearer.

> I have yet to see the minutes of the meeting so am not familiar with

the discussion

> are extended; thus, I think we would stick to  ietf-te-kpi-telemetry

and ietf-vn-kpi-telemetry.

> > There is no reference back from the YANG module to the I-D/RFC to

tell

> > YL>> Since there is no real reference in the YANG module, there is

no

> > YL>> Agreed and moved these to Normative except 8233 as it is

already

> > I suggest expanding VN in the Introduction; you do it in the

Abstract

Introduction.

> > Further on, I think that you need to expand SLA, BER - not sure

about

> <[email-masked]>; Dhruv Dhody <[email-masked]>; Daniel

King <[email-masked]>; Ricard Vilata <[email-masked]>; Ricard Vilalta <[email-masked]>

Subject: New Version Notification for draft-lee-teas-actn-pm-telemetry-autonomics-15.txt
From: "[email-masked]" <[email-masked]>
To: Daniele Ceccarelli <[email-masked]>, Satish Karunanithi <[email-masked]>, Leeyoung <[email-masked]>, Dhruv Dhody <[email-masked]>, Daniel King <[email-masked]>, Ricard Vilata <[email-masked]>, Ricard Vilalta <[email-masked]>
Date: Fri, 12 Apr 2019 20:31:19 +0000

A new version of I-D, draft-lee-teas-actn-pm-telemetry-autonomics-15.txt
has been successfully submitted by Young Lee and posted to the
IETF repository.

Name:           draft-lee-teas-actn-pm-telemetry-autonomics
Revision:       15
Title:          YANG models for VN & TE Performance Monitoring Telemetry and Scaling Intent Autonomics
Document date:  2019-04-12
Group:          Individual Submission
Pages:          29
URL:            https://www.ietf.org/internet-drafts/draft-lee-teas-actn-pm-telemetry-autonomics-15.txt
Status:         https://datatracker.ietf.org/doc/draft-lee-teas-actn-pm-telemetry-autonomics/
Htmlized:       https://tools.ietf.org/html/draft-lee-teas-actn-pm-telemetry-autonomics-15
Htmlized:       https://datatracker.ietf.org/doc/html/draft-lee-teas-actn-pm-telemetry-autonomics
Diff:           https://www.ietf.org/rfcdiff?url2=draft-lee-teas-actn-pm-telemetry-autonomics-15

Abstract:

The IETF Secretariat

---

From: tom petch <[email-masked]>
Date: Mon, 15 Apr 2019 10:31:30 +0000

Young

I may have confused you concerning the Note to RFC Editor.  It is fine
to use the same Acronym in many places within the I-D, in fact it is
simpler IMHO, so where you want a reference to the RFC to be, it is fine
to use 'WWWW' every time, in the YANG modules, IANA Considerations etc.
Not wrong to use AAAA in addition but more complicated IMHO.

But you do seem to give XXXX two different meanings,
  /* Note: The RFC Editor will replace XXXX with the number
     assigned to the RFC once draft-ietf-teas-actn-vn-yang
    becomes an RFC.*/
  /* Note: The RFC Editor will replace AAAA with the number
     assigned to the RFC once draft-lee-teas-pm-telemetry-
     autonomics becomes an RFC.*/
Conventionally, XXXX is the I-D itself throughout the I-D with YYYY AAAA
etc referring to other I-D.

Also, when I asked the RFC Editor they said that they preferred the
Notes asking them to replace XXXX YYYY etc with the numbers assigned to
the RFC to-be all together at the front; not sure exactly where but just
before or after the Introduction seems suitable.  It is also then easier
to spot the reuse of XXXX:-)

In IANA Considerations, RFC6020 is the preferred reference since all
RFC7950 says is go read RFC6020.

I am curious as to why the I-D has six authors when the YANG modules
have four.

KPI could do with expanding on first use; perhaps
OLD
         Key performance
   indicator is a term that describes critical performance data that
   may affect VN/TE-tunnel service.
NEW
   KPI( Key Performance
  Indicator) is a term that describes critical performance data that
   may affect VN/TE-tunnel service.

S.1
"The models presented in this draft allow the applications hosted by
 the customers to subscribe and monitor their key performance data of
   their interest on the level of VN [VN] or TE-tunnel [TE-Tunnel]. "

is not quite right; 'subscribe' is usually 'to' something, such as
alerts, notifications etc as you later have
"subscribes to the
     VN level telemetry"

Likewise in s.5.1
    Subscribe notifications on a per client basis.
could perhaps be
    Subscribe to notifications on a per client basis.

There a number of such places where the English is a bit quirky but my
take is to leave most of that until later since the text may get changed
anyway.

Tom Petch

----- Original Message -----
From: "Leeyoung" <[email-masked]>
Sent: Friday, April 12, 2019 9:35 PM

> Thanks for your further comment. I think I addressed all your comments
for this round. Please see inline for my comment and the diff file to
make it easier for you to review your comment.
https://www6.ietf.org/rfcdiff/?url2=draft-lee-teas-actn-pm-telemetry-aut
onomics-15 See also the attachment for the details.
>
>
>
> Thus, within the IETF, IPPM have done much on one-way and two-way
delay; do you mean the same as they do? If not, where do your
definitions thereof come from?  ITU-T (who are also hot on this)?
>
>
>
> YL>> Added the reference for each performance related parameters in
the ietf-te-kpi-telemetry module come from.
> Related to this, common practice is to put examples in an Appendix,
the idea being that examples are not Normative and Appendices are not
Normative, whereas the body of the document is, which examples are not.
> YL>> I changed the numeric values to XYZ’s so that people would not
get misguided with the illustration. There is not really default value
for each of these parameters as they are depending on the use-cases and
applications. Keeping the examples in the main body with non-numeric
examples, I think, should be fine. Changed mile-seconds to
milli-seconds. These parameters are quite generic that they don’t have
proper references per se.
> Please see inline. This should be it. I uploaded v.14 that
incorporated all your comments. Attached is the new version notification
and the below is the pointer for the diff.

---

From: Leeyoung <[email-masked]>
Date: Thu, 18 Apr 2019 16:21:30 +0000

Hi Tom,

Thanks for your comments. You are really making WG chairs job easier ☺. This is still an individual draft and I hope the revision (v.16) is good enough to be considered for WG adoption.

Please see the diff file and also my comment inline. https://www.ietf.org/rfcdiff?url2=draft-lee-teas-actn-pm-telemetry-autonomics-16

Thanks,

Young

-----Original Message-----

Sent: Monday, April 15, 2019 5:32 AM

Young

I may have confused you concerning the Note to RFC Editor.  It is fine to use the same Acronym in many places within the I-D, in fact it is simpler IMHO, so where you want a reference to the RFC to be, it is fine to use 'WWWW' every time, in the YANG modules, IANA Considerations etc.

    becomes an RFC.*/

Conventionally, XXXX is the I-D itself throughout the I-D with YYYY AAAA etc referring to other I-D.

YL>> OK. Agreed and changed as you pointed out. I would use XXXX referring to this I-D itself while use YYYY referring to all other I-Ds.

Also, when I asked the RFC Editor they said that they preferred the Notes asking them to replace XXXX YYYY etc with the numbers assigned to the RFC to-be all together at the front; not sure exactly where but just before or after the Introduction seems suitable.  It is also then easier to spot the reuse of XXXX:-)

YL>> This is actually in the IANA section. Once this draft is adopted and under review of RFC Editor, we can address this issue then.

YL>> Since this draft is based on YANG1.1, I believe RFC7950 is the right reference.

I am curious as to why the I-D has six authors when the YANG modules have four.

YL>> Authors and YANG module contributors are not always the same. In our case, there are folks who contributed for the document but not for YANG itself. Hope this explains.

KPI could do with expanding on first use; perhaps OLD

         Key performance

NEW

   KPI( Key Performance

YL>> Thanks. Will expand as you suggested.

S.1

"The models presented in this draft allow the applications hosted by  the customers to subscribe and monitor their key performance data of

is not quite right; 'subscribe' is usually 'to' something, such as alerts, notifications etc as you later have "subscribes to the

     VN level telemetry"

Likewise in s.5.1

could perhaps be

YL>> s/subscribe/subscribe to

There a number of such places where the English is a bit quirky but my take is to leave most of that until later since the text may get changed anyway.

YL>> I am sure there are many places English can be improved. Hopefully, once adopted and going through shepherd review, etc. the draft will have opportunities for improvement. Thanks.

Tom Petch

----- Original Message -----

> Thanks for your further comment. I think I addressed all your comments

for this round. Please see inline for my comment and the diff file to make it easier for you to review your comment.

> The Copyright statements are incomplete; look, for example, at RFC8294

and you lack the final sentence which provides the required link back to the RFC to be, one of the missing references I referred to earlier.

> Recall that the YANG modules will be extracted and widely used with

nothing else to support them, so from 'CODE BEGINS' to 'CODE ENDS' must be comprehensible standing alone.  Again, look at RFC8294 and you will see reference clauses in the description, which I think are needed in each and every YANG module and one per object is not too many.

> Thus, within the IETF, IPPM have done much on one-way and two-way

delay; do you mean the same as they do? If not, where do your definitions thereof come from?  ITU-T (who are also hot on this)?

>       "RFC7471<https://tools.ietf.org/html/rfc7471>: OSPF Traffic

Engineering (TE) Metric Extensions.

>        RFC8570<https://tools.ietf.org/html/rfc8570>: IS-IS Traffic

Engineering (TE) Metric Extensions.

>        RFC7823<https://tools.ietf.org/html/rfc7823>: Performance-Based

Path Selection for Explicitly

> Human nature suggests the people will use whatever they can see so

that following s.4 we could see a lot of

> Related to this, common practice is to put examples in an Appendix,

the idea being that examples are not Normative and Appendices are not Normative, whereas the body of the document is, which examples are not.

> YL>> I changed the numeric values to XYZ’s so that people would not

get misguided with the illustration. There is not really default value for each of these parameters as they are depending on the use-cases and applications. Keeping the examples in the main body with non-numeric examples, I think, should be fine. Changed mile-seconds to milli-seconds. These parameters are quite generic that they don’t have proper references per se.

> > Thanks. I think there is still some inconsistency as you pointed

out.

> Please see inline. This should be it. I uploaded v.14 that

incorporated all your comments. Attached is the new version notification and the below is the pointer for the diff.

Subject: New Version Notification for draft-lee-teas-actn-pm-telemetry-autonomics-16.txt
From: "[email-masked]" <[email-masked]>
To: Daniele Ceccarelli <[email-masked]>, Satish Karunanithi <[email-masked]>, Leeyoung <[email-masked]>, Dhruv Dhody <[email-masked]>, Daniel King <[email-masked]>, Ricard Vilata <[email-masked]>, Ricard Vilalta <[email-masked]>
Date: Thu, 18 Apr 2019 16:18:20 +0000

A new version of I-D, draft-lee-teas-actn-pm-telemetry-autonomics-16.txt
has been successfully submitted by Young Lee and posted to the
IETF repository.

Name:           draft-lee-teas-actn-pm-telemetry-autonomics
Revision:       16
Title:          YANG models for VN & TE Performance Monitoring Telemetry and Scaling Intent Autonomics
Document date:  2019-04-18
Group:          Individual Submission
Pages:          29
URL:            https://www.ietf.org/internet-drafts/draft-lee-teas-actn-pm-telemetry-autonomics-16.txt
Status:         https://datatracker.ietf.org/doc/draft-lee-teas-actn-pm-telemetry-autonomics/
Htmlized:       https://tools.ietf.org/html/draft-lee-teas-actn-pm-telemetry-autonomics-16
Htmlized:       https://datatracker.ietf.org/doc/html/draft-lee-teas-actn-pm-telemetry-autonomics
Diff:           https://www.ietf.org/rfcdiff?url2=draft-lee-teas-actn-pm-telemetry-autonomics-16

Abstract:

   The models presented in this draft allow customers to subscribe to
   and monitor their key performance data of their interest on the
   level of TE-tunnel or VN. The models also provide customers with the
   ability to program autonomic scaling intent mechanism on the level
   of TE-tunnel as well as VN.

The IETF Secretariat